using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Data;
using System.Data.SqlClient;
using System.Text;
using System.Xml;
using Edfinancial.SharePoint.STSADM.Commands.SPValidators;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Utilities;

namespace Edfinancial.SharePoint.STSADM.Commands
{
    public class Test : SPOperation
    {
        public Test()
        {
            SPParamCollection parameters = new SPParamCollection();
            parameters.Add(new SPParam("url", "url", true, null, new SPUrlValidator(), "Please specify the site collection."));
            StringBuilder sb = new StringBuilder();
            Init(parameters, sb.ToString());
        }

        public override string GetHelpMessage(string command)
        {
            return HelpMessage;
        }

        public override int Run(string command, StringDictionary keyValues, out string output)
        {
            output = string.Empty;

            InitParameters(keyValues);

            System.Diagnostics.Debugger.Launch();
            string url = Params["url"].Value;
            if (url != null)
                url = url.TrimEnd('/');

            using (SPSite site = new SPSite(url))
            using (SPWeb web = site.OpenWeb())
            {
                SPList list = Utilities.GetListFromViewUrl(web, url);
                if (list == null)
                    throw new Exception("List not found.");

                SPView view = null;
                url = SPEncode.UrlDecodeAsUrl(url);
                foreach (SPView v in list.Views)
                {
                    if (url.ToLower() == SPEncode.UrlDecodeAsUrl(web.Site.MakeFullUrl(v.ServerRelativeUrl)).ToLower())
                    {
                        view = v;
                        break;
                    }
                }
                if (view == null)
                    throw new Exception("View not found.");

                Console.WriteLine(view.Query);
            }

            return 1;
        }

        
    }
}
